variable "wordpress_mysql_password" {
  description = "MySQL access password"
  type        = string
  sensitive   = true
}

variable "mysql_root_password" {
  description = "MySQL root password"
  type        = string
  sensitive   = true
}

variable "gitea_mysql_password" {
  description = "MySQL access password"
  type        = string
  sensitive   = true
}

variable "scaleway_access_key" {
  description = "Scaleway Access key"
  type        = string
  sensitive   = true
}

variable "scaleway_secret_key" {
  description = "Scaleway Secret key"
  type        = string
  sensitive   = true
}

variable "nextcloud_mysql_password" {
  description = "MySQL access password"
  type        = string
  sensitive   = true
}

variable "nextcloud_admin_password" {
  description = "Nextcloud access password"
  type        = string
  sensitive   = true
}

variable "wireguard_private_key" {
  description = "Wireguard public key"
  type        = string
  sensitive   = true
}

variable "m3uproxy_admin_password" {
  description = "M3UProxy access password"
  type        = string
  sensitive   = true
}

variable "m3uproxy_secret" {
  description = "M3UProxy HMAC secret"
  type        = string
  sensitive   = true
}

variable "maxmind_license_key" {
  description = "Maxmind license key"
  type        = string
  sensitive   = true
}

variable "rustdesk_private_key" {
  description = "Rustdesk private key"
  type        = string
  sensitive   = true
}

variable "alexpires_me_email_password" {
  description = "POP3 password"
  type        = string
  sensitive   = true
}

variable "mail_crypt_private_key" {
  description = "Mailcrypt private key"
  type        = string
  sensitive   = true
}
